<div class="campaign-container mt-3">

    <ng-container>

        <div class="d-flex align-items-center justify-content-end">
            <div class="ml-3">
                <button mat-raised-button color="accent" *ngIf="selectedRowIds.length > 0" (click)="deleteSelected()">
                    Delete Selected
                </button>
            </div>
            <div class="ml-3">
                <button mat-raised-button color="accent" [routerLink]="'add'">
                    Create List
                </button>
            </div>
        </div>

        <div class="mt-2">

            <app-grid-no-data *ngIf="!lists || lists.length === 0"
                              title="You haven’t added a list yet."
                              description="Please click “Create List” button to create new list."
            >
            </app-grid-no-data>

            <kendo-grid class="list-grid" *ngIf="lists && lists.length > 0" [data]="gridView" [pageSize]="pageSize"
                        [skip]="skip" [pageable]="true" [columnMenu]="false"
                        [filterable]="true" [filter]="state.filter"
                        (dataStateChange)="dataStateChange($event)" [groupable]="false"
                        [reorderable]="reorder" [sortable]="{
              allowUnsort: allowUnsort,
              mode: multiple ? 'multiple' : 'single'
            }" [sort]="sort"
                        [selectable]="{
                            checkboxOnly: true
                        }"
                        kendoGridSelectBy="id"
                        [(selectedKeys)]="selectedRowIds"
                        (sortChange)="sortChange($event)" (groupChange)="groupChange($event)">

                <kendo-grid-checkbox-column [showSelectAll]="true" [width]="30"></kendo-grid-checkbox-column>

                <kendo-grid-column field="type" title="Type" [width]="100">
                </kendo-grid-column>

                <kendo-grid-column field="createdDateStr" title="Date Time" [width]="180">
                </kendo-grid-column>

                <kendo-grid-column field="listName" title="List Name" [width]="100">
                    <ng-template kendoGridCellTemplate let-dataItems>
                        <a class="cursor-pointer" [routerLink]="'edit/'+dataItems.id">{{dataItems.listName}}</a>
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="createdBy" title="Created By" [width]="200">
                </kendo-grid-column>

                <kendo-grid-column field="totalContact" title="Total Contact" [width]="100">
                    <ng-template kendoGridCellTemplate let-dataItems>
                        <a class="cursor-pointer" (click)="editCampaignList(dataItems)">{{dataItems.totalContact}}</a>
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column title="Action" [width]="80">
                    <ng-template kendoGridCellTemplate let-dataItems>
                        <button (click)="openActionPopup(dataItems, $event)"
                                class="item-setting-btn border-0 bg-transparent cursor-pointer">
                            <mat-icon class="m-0" style="color: #979797;">settings</mat-icon>
                        </button>
                    </ng-template>
                </kendo-grid-column>

            </kendo-grid>
        </div>

    </ng-container>

</div>

<dx-popover #actionPopup class="grid-action-popup" position="top" [width]="176" [height]="'auto'"
            [shading]="false" [position]="{my: 'right top', at: 'right bottom'}">
    <div *dxTemplate="let data of 'content'">
        <button class="grid-action-popup-button text-left" (click)="doAction(EDIT)">
            <mat-icon>edit</mat-icon>
            <span>Edit</span>
        </button>
        <button class="grid-action-popup-button text-left" (click)="doAction(DUPLICATE)">
            <mat-icon>content_copy</mat-icon>
            <span>Duplicate</span>
        </button>
        <button class="grid-action-popup-button text-left" (click)="doAction(DELETE)">
            <mat-icon>delete</mat-icon>
            <span>Delete</span>
        </button>
    </div>
</dx-popover>

<ng-template #duplicateDialog>
    <div style="padding: 20px;">
        Click "Yes", to create a duplicate List.
    </div>
</ng-template>
